'use strict';

// https://github.com/ipfs/js-ipfs/tree/ipfs%400.55.4/docs/core-api
const IPFS = require('ipfs');

async function initialize() {
    const node = await IPFS.create();
    const node_info = await node.id();
    console.log('ipfs node id: ' + node_info.id);
    const pin = await node.add(
        'webpacked ' + node_info.agentVersion
        + ' ' + node_info.id
        + ' at ' + (new Date()).toISOString()
    );
    console.log("https://ipfs.io/ipfs/" + pin.cid.toString());
    const pin_list_tag = document.createElement('ul');
    for await(const { cid, type } of node.pin.ls()) {
        const pin_item_tag = document.createElement('li');
        const pin_link_tag = document.createElement('a');
        pin_link_tag.href = "https://dweb.link/ipfs/" + cid.toString();
        pin_link_tag.innerText = cid.toString();
        pin_item_tag.appendChild(pin_link_tag);
        pin_list_tag.appendChild(pin_item_tag);
    }
    document.body.appendChild(pin_list_tag);
}

initialize();
